## org.codehaus.groovy.control
Class CompilationUnit.ProgressCallback

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ProgressCallback

Enclosing class:
  CompilationUnit

    public abstract static class CompilationUnit.ProgressCallback

extends Object

A callback interface you can use to get a callback after every unit of the compile process. You will be called-back with a ProcessingUnit and a phase indicator. Use setProgressCallback() before running compile() to set your callback.

Constructor Summary
`CompilationUnit.ProgressCallback()`

Method Summary
`abstract void` `call(ProcessingUnit context, int phase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompilationUnit.ProgressCallback

    public CompilationUnit.ProgressCallback()

Method Detail

### call

    public abstract void call(ProcessingUnit context,
                              int phase)
                       throws CompilationFailedException

  Throws:
    `CompilationFailedException`

Copyright © 2003-2008 The Codehaus. All rights reserved.